Bug 730498 - [abrt] xorg-x11-server-Xorg-1.10.3-1.fc15: __GI_raise: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
Summary: [abrt] xorg-x11-server-Xorg-1.10.3-1.fc15: __GI_raise: Process /usr/bin/Xorg ...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 767353
TreeView+ depends on / blocked
 
Reported: 2011-08-13 18:45 UTC by miptrbugs
Modified: 2012-08-29 05:09 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-20 19:52:04 UTC


Attachments (Terms of Use)
Xorg log (36.12 KB, text/plain)
2011-11-13 13:11 UTC, Lars Schotte
no flags Details
File: backtrace (10.02 KB, text/plain)
2012-01-24 09:00 UTC, ilan
no flags Details
File: backtrace (6.91 KB, text/plain)
2012-01-30 13:18 UTC, Flos Lonicerae
no flags Details
File: backtrace (14.47 KB, text/plain)
2012-02-16 14:43 UTC, Flos Lonicerae
no flags Details
File: backtrace (7.43 KB, text/plain)
2012-03-10 09:36 UTC, oliver.zemann
no flags Details
File: backtrace (9.58 KB, text/plain)
2012-03-16 18:33 UTC, Adam Williamson
no flags Details

Description miptrbugs 2011-08-13 18:45:57 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /var/run/gdm/auth-for-gdm-XlcsUg/database -nolisten tcp vt1
component:      xorg-x11-server
crash_function: __GI_raise
executable:     /usr/bin/Xorg
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        xorg-x11-server-Xorg-1.10.3-1.fc15
reason:         Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
time:           Sat Aug 13 19:17:35 2011
uid:            0
username:       root

backtrace:
:[New LWP 1046]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/Xorg :0 -background none -verbose -auth /var/run/gdm/auth-for-gdm-Xlcs'.
:Program terminated with signal 6, Aborted.
:#0  0x00000033b6a352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 1 (Thread 0x7faf440a78a0 (LWP 1046)):
:#0  0x00000033b6a352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = 1046
:#1  0x00000033b6a36beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x7ffffe3ba430, sa_sigaction = 0x7ffffe3ba430}, sa_mask = {__val = {36478688, 0, 222103156869, 140390737658816, 0, 32768, 0, 140737458709488, 36478688, 36700160, 0, 36687472, 36498624, 0, 0, 140737458709600}}, sa_flags = 1108187027, sa_restorer = 0x48}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x000000000046544e in OsAbort () at utils.c:1252
:No locals.
:#3  0x0000000000470d9c in ddxGiveUp () at xf86Init.c:915
:        i = <optimized out>
:#4  0x0000000000461ebd in AbortServer () at log.c:414
:No locals.
:#5  0x00000000004620a7 in FatalError (f=0x579430 "Caught signal %d (%s). Server aborting\n") at log.c:540
:        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7ffffe3ba5e0, reg_save_area = 0x7ffffe3ba510}}
:        beenhere = 1
:#6  0x0000000000462ede in OsSigHandler (sip=<optimized out>, signo=11, unused=<optimized out>) at osinit.c:153
:No locals.
:#7  OsSigHandler (signo=11, sip=<optimized out>, unused=<optimized out>) at osinit.c:115
:No locals.
:#8  <signal handler called>
:No symbol table info available.
:#9  pixman_region_equal (reg1=0x31, reg2=0x2) at pixman-region.c:297
:        i = <optimized out>
:        rects1 = 0x2
:        rects2 = 0x0
:#10 0x00007faf42f96980 in RegionEqual (reg2=0x2, reg1=0x31) at /usr/include/xorg/regionstr.h:304
:No locals.
:#11 viaReputImage (pScrn=<optimized out>, drw_x=0, drw_y=0, clipBoxes=0x2, data=0x19, pDraw=0x2d0) at via_video.c:713
:        UpdateOverlay_Video = {SrcLeft = 0, SrcTop = 0, SrcRight = 3198236019, SrcBottom = 51, DstLeft = 4265323212, DstTop = 32767, DstRight = 3064476053, DstBottom = 51, dwFlags = 140737458711280, dwColorSpaceLowValue = 46244992}
:        lpUpdateOverlay = 0x7ffffe3baa90
:        pPriv = 0x19
:        pVia = 0x22cbb30
:#12 0x000000000052c226 in xf86XVReputImage (portPriv=0x23274b0) at xf86xv.c:948
:        ClipRegion = {extents = {x1 = 2, y1 = 25, x2 = 722, y2 = 333}, data = 0x2905c30}
:        ret = 0
:        clippedAway = 0
:        WinRegion = {extents = {x1 = 2, y1 = 25, x2 = 722, y2 = 333}, data = 0x0}
:        WinBox = {x1 = 2, y1 = 25, x2 = 722, y2 = 333}
:#13 xf86XVReputOrStopPort (pPriv=0x23274b0, pWin=<optimized out>, visible=<optimized out>) at xf86xv.c:1074
:No locals.
:#14 xf86XVReputOrStopPort (pPriv=0x23274b0, pWin=<optimized out>, visible=<optimized out>) at xf86xv.c:1049
:No locals.
:#15 0x000000000052cbb9 in xf86XVWindowExposures (pWin=0x2746d90, reg1=0x2c2dd00, reg2=<optimized out>) at xf86xv.c:1222
:        visible = <optimized out>
:        pScreen = <optimized out>
:        ScreenPriv = <optimized out>
:        WinPriv = 0x0
:        pPriv = 0x23274b0
:        AreasExposed = 0
:#16 0x000000000055d204 in miHandleValidateExposures (pWin=0x2369930) at miwindow.c:236
:        pChild = 0x2746d90
:        val = 0x2c2dd00
:        WindowExposures = 0x52ca50 <xf86XVWindowExposures>
:#17 0x000000000055dd00 in miSlideAndSizeWindow (pWin=0x3c9e500, x=0, y=0, w=<optimized out>, h=<optimized out>, pSib=0x1) at miwindow.c:664
:        pParent = <optimized out>
:        WasViewable = 0
:        width = 44256
:        height = 65364
:        oldx = 0
:        oldy = 0
:        bw = <optimized out>
:        dw = -48
:        dh = -172
:        oldpt = <optimized out>
:        oldRegion = 0x29acd50
:        anyMarked = 1
:        pScreen = 0x22cecc0
:        pFirstChange = 0x3c9e500
:        pChild = <optimized out>
:        gravitate = {0x0, 0x273f3e0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}
:        g = <optimized out>
:        nx = 0
:        ny = 0
:        newx = 0
:        newy = 63563008
:        pRegion = 0x39d3000
:        destClip = 0x273f3e0
:        oldWinClip = 0x0
:        borderVisible = 0x3c9e550
:        shrunk = <optimized out>
:        moved = <optimized out>
:        pLayerWin = 0x3c9e500
:#18 0x00000000004a628d in compResizeWindow (pWin=0x3c9e500, x=<optimized out>, y=<optimized out>, w=<optimized out>, h=<optimized out>, pSib=<optimized out>) at compwindow.c:387
:        pScreen = 0x22cecc0
:        cs = 0x232f830
:#19 0x0000000000454847 in ConfigureWindow (pWin=<optimized out>, mask=<optimized out>, vlist=<optimized out>, client=0x2523e10) at window.c:2362
:        pSib = 0x2a8e2d0
:        pParent = <optimized out>
:        sibwid = <optimized out>
:        index2 = <optimized out>
:        tmask = <optimized out>
:        pVlist = <optimized out>
:        x = 0
:        y = 0
:        beforeX = 0
:        beforeY = 0
:        w = 724
:        h = 335
:        bw = 0
:        rc = <optimized out>
:        action = 2
:        smode = <optimized out>
:        event = {u = {u = {type = 22 '\026', detail = 0 '\000', sequenceNumber = 31}, keyButtonPointer = {pad00 = 2031638, time = 306, root = 12590015, event = 12583977, child = 0, rootX = 724, rootY = 335, eventX = 0, eventY = 0, state = 0, sameScreen = 0 '\000', pad1 = 0 '\000'}, enterLeave = {pad00 = 2031638, time = 306, root = 12590015, event = 12583977, child = 0, rootX = 724, rootY = 335, eventX = 0, eventY = 0, state = 0, mode = 0 '\000', flags = 0 '\000'}, focus = {pad00 = 2031638, window = 306, mode = 191 '\277', pad1 = 27 '\033', pad2 = 192 '\300', pad3 = 0 '\000'}, expose = {pad00 = 2031638, window = 306, x = 7103, y = 192, width = 1065, height = 192, count = 0, pad2 = 0}, graphicsExposure = {pad00 = 2031638, drawable = 306, x = 7103, y = 192, width = 1065, height = 192, minorEvent = 0, count = 0, majorEvent = 212 '\324', pad1 = 2 '\002', pad2 = 79 'O', pad3 = 1 '\001'}, noExposure = {pad00 = 2031638, drawable = 306, minorEvent = 7103, majorEvent = 192 '\300', bpad = 0 '\000'}, visibility = {pad00 = 2031638, window = 306, state = 191 '\277', pad1 = 27 '\033', pad2 = 192 '\300', pad3 = 0 '\000'}, createNotify = {pad00 = 2031638, parent = 306, window = 12590015, x = 1065, y = 192, width = 0, height = 0, borderWidth = 724, override = 79 'O', bpad = 1 '\001'}, destroyNotify = {pad00 = 2031638, event = 306, window = 12590015}, unmapNotify = {pad00 = 2031638, event = 306, window = 12590015, fromConfigure = 41 ')', pad1 = 4 '\004', pad2 = 192 '\300', pad3 = 0 '\000'}, mapNotify = {pad00 = 2031638, event = 306, window = 12590015, override = 41 ')', pad1 = 4 '\004', pad2 = 192 '\300', pad3 = 0 '\000'}, mapRequest = {pad00 = 2031638, parent = 306, window = 12590015}, reparent = {pad00 = 2031638, event = 306, window = 12590015, parent = 12583977, x = 0, y = 0, override = 212 '\324', pad1 = 2 '\002', pad2 = 79 'O', pad3 = 1 '\001'}, configureNotify = {pad00 = 2031638, event = 306, window = 12590015, aboveSibling = 12583977, x = 0, y = 0, width = 724, height = 335, borderWidth = 0, override = 0 '\000', bpad = 0 '\000'}, configureRequest = {pad00 = 2031638, parent = 306, window = 12590015, sibling = 12583977, x = 0, y = 0, width = 724, height = 335, borderWidth = 0, valueMask = 0, pad1 = 0}, gravity = {pad00 = 2031638, event = 306, window = 12590015, x = 1065, y = 192, pad1 = 0, pad2 = 21955284, pad3 = 0, pad4 = 0}, resizeRequest = {pad00 = 2031638, window = 306, width = 7103, height = 192}, circulate = {pad00 = 2031638, event = 306, window = 12590015, parent = 12583977, place = 0 '\000', pad1 = 0 '\000', pad2 = 0 '\000', pad3 = 0 '\000'}, property = {pad00 = 2031638, window = 306, atom = 12590015, time = 12583977, state = 0 '\000', pad1 = 0 '\000', pad2 = 0}, selectionClear = {pad00 = 2031638, time = 306, window = 12590015, atom = 12583977}, selectionRequest = {pad00 = 2031638, time = 306, owner = 12590015, requestor = 12583977, selection = 0, target = 21955284, property = 0}, selectionNotify = {pad00 = 2031638, time = 306, requestor = 12590015, selection = 12583977, target = 0, property = 21955284}, colormap = {pad00 = 2031638, window = 306, colormap = 12590015, new = 41 ')', state = 4 '\004', pad1 = 192 '\300', pad2 = 0 '\000'}, mappingNotify = {pad00 = 2031638, request = 50 '2', firstKeyCode = 1 '\001', count = 0 '\000', pad1 = 0 '\000'}, clientMessage = {pad00 = 2031638, window = 306, u = {l = {type = 12590015, longs0 = 12583977, longs1 = 0, longs2 = 21955284, longs3 = 0, longs4 = 0}, s = {type = 12590015, shorts0 = 1065, shorts1 = 192, shorts2 = 0, shorts3 = 0, shorts4 = 724, shorts5 = 335, shorts6 = 0, shorts7 = 0, shorts8 = 0, shorts9 = 0}, b = {type = 12590015, bytes = ")\004\300\000\000\000\000\000\324\002O\001\000\000\000\000\000\000\000"}}}}}
:#20 0x00000000004298f8 in ProcConfigureWindow (client=0x2523e10) at dispatch.c:875
:        pWin = 0x3c9e500
:        stuff = 0x2918d1c
:        len = 4
:        rc = <optimized out>
:#21 0x000000000042edb1 in Dispatch () at dispatch.c:431
:        clientReady = 0x250e6a0
:        result = <optimized out>
:        client = 0x2523e10
:        nready = 0
:        icheck = 0x7e4c50
:        start_tick = 18680
:#22 0x0000000000422e1a in main (argc=<optimized out>, argv=0x7ffffe3bb0c8, envp=<optimized out>) at main.c:287
:        i = <optimized out>
:        alwaysCheckForInput = {0, 1}
:From                To                  Syms Read   Shared Object Library
:0x00000033c5e02e40  0x00000033c5e0accc  Yes         /lib64/libudev.so.0
:0x00000033c465c880  0x00000033c47219bc  Yes         /lib64/libcrypto.so.10
:0x00000033b7200de0  0x00000033b720191c  Yes         /lib64/libdl.so.2
:0x00000033b7e02130  0x00000033b7e0625c  Yes         /usr/lib64/libpciaccess.so.0
:0x00000033b6e05660  0x00000033b6e103cc  Yes         /lib64/libpthread.so.0
:0x00000033bea07e10  0x00000033bea5c0ac  Yes         /usr/lib64/libpixman-1.so.0
:0x00000033b8e08f60  0x00000033b8e2813c  Yes         /usr/lib64/libXfont.so.1
:0x00000033bae00dd0  0x00000033bae01b2c  Yes         /usr/lib64/libXau.so.6
:0x00000033bd201210  0x00000033bd202c2c  Yes         /usr/lib64/libXdmcp.so.6
:0x00000033c6602560  0x00000033c6607c0c  Yes         /lib64/libaudit.so.1
:0x00000033b7a03ea0  0x00000033b7a43e9c  Yes         /lib64/libm.so.6
:0x00000033b7602160  0x00000033b76053ec  Yes         /lib64/librt.so.1
:0x00000033b6a1ece0  0x00000033b6b4338c  Yes         /lib64/libc.so.6
:0x00000033b82028a0  0x00000033b82120cc  Yes         /lib64/libgcc_s.so.1
:0x00000033b8a01e70  0x00000033b8a0e67c  Yes         /lib64/libz.so.1
:0x00000033b6600b20  0x00000033b6618cca  Yes         /lib64/ld-linux-x86-64.so.2
:0x00000033bc20c960  0x00000033bc2738fc  Yes         /usr/lib64/libfreetype.so.6
:0x00000033b86015b0  0x00000033b8603e6c  Yes         /usr/lib64/libfontenc.so.1
:0x00007faf43e8a230  0x00007faf43e9f6ec  Yes         /usr/lib64/xorg/modules/extensions/libextmod.so
:0x00007faf43c52980  0x00007faf43c629dc  Yes         /lib64/libselinux.so.1
:0x00007faf43a49090  0x00007faf43a4bcdc  Yes         /usr/lib64/xorg/modules/extensions/libdbe.so
:0x00007faf437e97e0  0x00007faf438242fc  Yes         /usr/lib64/xorg/modules/extensions/libglx.so
:0x00007faf435da460  0x00007faf435de86c  Yes         /usr/lib64/xorg/modules/extensions/librecord.so
:0x00007faf433d0f90  0x00007faf433d667c  Yes         /usr/lib64/xorg/modules/extensions/libdri.so
:0x00000033c6202e60  0x00000033c62075ac  Yes         /usr/lib64/libdrm.so.2
:0x00007faf431ca550  0x00007faf431ccfbc  Yes         /usr/lib64/xorg/modules/extensions/libdri2.so
:0x00007faf42f77d80  0x00007faf42f9d03c  Yes         /usr/lib64/xorg/modules/drivers/openchrome_drv.so
:0x00007faf42d6c120  0x00007faf42d6edcc  Yes         /usr/lib64/xorg/modules/drivers/vesa_drv.so
:0x00007faf42b670f0  0x00007faf42b68a5c  Yes         /usr/lib64/xorg/modules/drivers/fbdev_drv.so
:0x00007faf429624a0  0x00007faf42963f4c  Yes         /usr/lib64/xorg/modules/libfbdevhw.so
:0x00007faf4275b5a0  0x00007faf4275ed1c  Yes         /usr/lib64/xorg/modules/libvgahw.so
:0x00007faf4233d080  0x00007faf4235594c  Yes         /usr/lib64/xorg/modules/libfb.so
:0x00007faf420d8df0  0x00007faf4212bcac  Yes         /usr/lib64/xorg/modules/libxaa.so
:0x00007faf3bbcde20  0x00007faf3be1840c  Yes         /usr/lib64/dri/swrast_dri.so
:0x00000033bb203b70  0x00000033bb21d84c  Yes         /lib64/libexpat.so.1
:0x00007faf3ab3fd70  0x00007faf3b51f69c  Yes         /usr/lib64/llvm/libLLVM-2.8.so
:0x00000033c2e5a400  0x00000033c2ec308a  Yes         /usr/lib64/libstdc++.so.6
:0x00007faf3a613840  0x00007faf3a6182bc  Yes         /usr/lib64/xorg/modules/input/evdev_drv.so
:0x00007faf3a406170  0x00007faf3a40d8ac  Yes         /lib64/libnss_files.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x579430	5739568
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x416	1046
:rdi            0x416	1046
:rbp            0x7ffffe3ba4c0	0x7ffffe3ba4c0
:rsp            0x7ffffe3ba388	0x7ffffe3ba388
:r8             0x7faf440a78a0	140390737541280
:r9             0xffffffff	4294967295
:r10            0x8	8
:r11            0x3202	12802
:r12            0x2	2
:r13            0x0	0
:r14            0x0	0
:r15            0x22cbb30	36485936
:rip            0x33b6a352d5	0x33b6a352d5 <__GI_raise+53>
:eflags         0x3202	[ IF #12 #13 ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00000033b6a352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000033b6a352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000033b6a352b0 <+16>:	test   %esi,%esi
:   0x00000033b6a352b2 <+18>:	jne    0x33b6a352e0 <__GI_raise+64>
:   0x00000033b6a352b4 <+20>:	mov    $0xba,%eax
:   0x00000033b6a352b9 <+25>:	syscall 
:   0x00000033b6a352bb <+27>:	mov    %eax,%esi
:   0x00000033b6a352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000033b6a352c5 <+37>:	movslq %edi,%rdx
:   0x00000033b6a352c8 <+40>:	movslq %esi,%rsi
:   0x00000033b6a352cb <+43>:	movslq %eax,%rdi
:   0x00000033b6a352ce <+46>:	mov    $0xea,%eax
:   0x00000033b6a352d3 <+51>:	syscall 
:=> 0x00000033b6a352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000033b6a352db <+59>:	ja     0x33b6a352ef <__GI_raise+79>
:   0x00000033b6a352dd <+61>:	repz retq 
:   0x00000033b6a352df <+63>:	nop
:   0x00000033b6a352e0 <+64>:	test   %eax,%eax
:   0x00000033b6a352e2 <+66>:	jg     0x33b6a352c5 <__GI_raise+37>
:   0x00000033b6a352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000033b6a352e9 <+73>:	je     0x33b6a35300 <__GI_raise+96>
:   0x00000033b6a352eb <+75>:	neg    %eax
:   0x00000033b6a352ed <+77>:	jmp    0x33b6a352c5 <__GI_raise+37>
:   0x00000033b6a352ef <+79>:	mov    0x35dcb2(%rip),%rdx        # 0x33b6d92fa8
:   0x00000033b6a352f6 <+86>:	neg    %eax
:   0x00000033b6a352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000033b6a352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000033b6a352ff <+95>:	retq   
:   0x00000033b6a35300 <+96>:	mov    %esi,%eax
:   0x00000033b6a35302 <+98>:	jmp    0x33b6a352c5 <__GI_raise+37>
:End of assembler dump.

build_ids:
:7cff1dd8a1e8c56cf17149431f928886e8957947
:1c6a95451ee19617be5abea3d121f0226d21ddda
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:f520086666bcec7b4c5785496fbc49faa1d420ff
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:ea4dd126b20f95a85787b798997c3586380b17c9
:30760271ae826bd8a3a6157d09e5cc6e5240f3ef
:67d215581e342aa3e5f61c0960b5c22f807c0517
:90fe13fac734263f663981ce4d1691cf926ced25
:a58967bda258d0f1954b02752d9d8993b37400d0
:e29398c847898c94fd84de859f3a66708583b824
:497c79df81fc8659b2d6d0e0d97d644ab6de614c
:143b0437081a4e8ee54a3523c8adb0fdce89d426
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:d898988187cf134047392204aad8fbb1a0f6387e
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:b8da2b020dfc5528ccc2eb20d2d80b5df256d141
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:cdc5a4f2ddecdaf49e91f65ecf43f501bb6537d3
:595a1b5a57f2b867683d8faf40bf6dbecdf6680c
:fdc09328fea3e060c8a504a8291555b4cd19172a
:702f7c1b87d2ac6596d8e4cfd472faf47f094dcc
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:4a764d76b03c217a60d943a359d9f2fbaeb087a7
:b5e5302426b6c6b0dddf929e1481826a8d78d10c
:613ba9eb50b6beb099faca4f62b57eb963a4819e
:5e7c7237a025f271e5ed1418cb23420764b09725
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:c838dee5185a90e597ff5117b6156a0e9686b5e1
:25b5f82947a559fdceea6080cb0df11fd52d4f38
:e28bb505d4825868d7cde531084c23b6c2877488
:2ffc4dc145d58acf6c1834f1332dadaf92da993d
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:64d443391495d42af7c8d695bf496fd4b42953bb
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:1ea60e48271cf85c2135db0d4c788ef78cab6b81
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

comment:
:Steps to reproduce this particular crash of the X-server
:
:a) Play some video using mplayer ==> plays fine
:b) Switch to fullscreen-mode by pressing the "f"-key ==> X-server crashes
:
:Please note that this is not a mplayer-issue: xine will crash the X-server in a similar way 
:and will do also when not switching to fullscreen-mode

dso_list:
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/xorg/modules/drivers/fbdev_drv.so xorg-x11-drv-fbdev-0.4.1-8.fc15.x86_64 (Fedora Project) 1305315797
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.26-1.fc15.x86_64 (Fedora Project) 1313248850
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/usr/lib64/xorg/modules/drivers/openchrome_drv.so xorg-x11-drv-openchrome-0.2.904-13.fc15.x86_64 (Fedora Project) 1305315795
:/usr/lib64/xorg/modules/libfb.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/usr/lib64/dri/swrast_dri.so mesa-dri-drivers-7.11-1.fc15.x86_64 (Fedora Project) 1313248884
:/usr/lib64/xorg/modules/extensions/libdri.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/usr/lib64/xorg/modules/extensions/libextmod.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1313248083
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1305315741
:/usr/lib64/xorg/modules/libvgahw.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/usr/lib64/xorg/modules/libxaa.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/usr/lib64/libXdmcp.so.6.0.0 libXdmcp-1.1.0-2.fc15.x86_64 (Fedora Project) 1305315727
:/usr/lib64/xorg/modules/input/evdev_drv.so xorg-x11-drv-evdev-2.6.0-4.fc15.x86_64 (Fedora Project) 1313248916
:/usr/lib64/libXfont.so.1.4.1 libXfont-1.4.3-2.fc15.x86_64 (Fedora Project) 1305315732
:/usr/lib64/xorg/modules/libfbdevhw.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/usr/lib64/xorg/modules/extensions/libdbe.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/usr/lib64/xorg/modules/extensions/librecord.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/usr/lib64/llvm/libLLVM-2.8.so llvm-libs-2.8-11.fc15.x86_64 (Fedora Project) 1313248352
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313248139
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/xorg/modules/extensions/libdri2.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/bin/Xorg xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1313248152
:/usr/lib64/xorg/modules/drivers/vesa_drv.so xorg-x11-drv-vesa-2.3.0-7.fc15.x86_64 (Fedora Project) 1305315797
:/usr/lib64/libpciaccess.so.0.10.8 libpciaccess-0.12.1-1.fc15.x86_64 (Fedora Project) 1305315745
:/usr/lib64/libfontenc.so.1.0.0 libfontenc-1.0.5-4.fc15.x86_64 (Fedora Project) 1305315732
:/lib64/libaudit.so.1.0.0 audit-libs-2.1.2-1.fc15.x86_64 (Fedora Project) 1313248156
:/usr/lib64/xorg/modules/extensions/libglx.so xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64 (Fedora Project) 1313248854
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1305315722

environ:
:HOSTNAME=localhost.localdomain
:HISTSIZE=1000
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:LANG=en_US.UTF-8
:SHLVL=0
:DISPLAY==:0
:MAIL=/var/spool/mail/root
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:LOGNAME=root
:PWD=/
:HISTCONTROL=ignoredups
:CVS_RSH=ssh
:USER=root
:PATH=/usr/lib64/ccache:/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin
:G_BROKEN_FILENAMES=1

maps:
:00400000-005c8000 r-xp 00000000 08:05 294439                             /usr/bin/Xorg
:007c7000-007da000 rw-p 001c7000 08:05 294439                             /usr/bin/Xorg
:007da000-007e7000 rw-p 00000000 00:00 0 
:009d9000-009e3000 rw-p 001d9000 08:05 294439                             /usr/bin/Xorg
:022aa000-04323000 rw-p 00000000 00:00 0                                  [heap]
:33b6600000-33b661f000 r-xp 00000000 08:02 135348                         /lib64/ld-2.14.so
:33b681e000-33b681f000 r--p 0001e000 08:02 135348                         /lib64/ld-2.14.so
:33b681f000-33b6820000 rw-p 0001f000 08:02 135348                         /lib64/ld-2.14.so
:33b6820000-33b6821000 rw-p 00000000 00:00 0 
:33b6a00000-33b6b8f000 r-xp 00000000 08:02 135349                         /lib64/libc-2.14.so
:33b6b8f000-33b6d8f000 ---p 0018f000 08:02 135349                         /lib64/libc-2.14.so
:33b6d8f000-33b6d93000 r--p 0018f000 08:02 135349                         /lib64/libc-2.14.so
:33b6d93000-33b6d94000 rw-p 00193000 08:02 135349                         /lib64/libc-2.14.so
:33b6d94000-33b6d9a000 rw-p 00000000 00:00 0 
:33b6e00000-33b6e16000 r-xp 00000000 08:02 135350                         /lib64/libpthread-2.14.so
:33b6e16000-33b7015000 ---p 00016000 08:02 135350                         /lib64/libpthread-2.14.so
:33b7015000-33b7016000 r--p 00015000 08:02 135350                         /lib64/libpthread-2.14.so
:33b7016000-33b7017000 rw-p 00016000 08:02 135350                         /lib64/libpthread-2.14.so
:33b7017000-33b701b000 rw-p 00000000 00:00 0 
:33b7200000-33b7202000 r-xp 00000000 08:02 131668                         /lib64/libdl-2.14.so
:33b7202000-33b7402000 ---p 00002000 08:02 131668                         /lib64/libdl-2.14.so
:33b7402000-33b7403000 r--p 00002000 08:02 131668                         /lib64/libdl-2.14.so
:33b7403000-33b7404000 rw-p 00003000 08:02 131668                         /lib64/libdl-2.14.so
:33b7600000-33b7607000 r-xp 00000000 08:02 135351                         /lib64/librt-2.14.so
:33b7607000-33b7806000 ---p 00007000 08:02 135351                         /lib64/librt-2.14.so
:33b7806000-33b7807000 r--p 00006000 08:02 135351                         /lib64/librt-2.14.so
:33b7807000-33b7808000 rw-p 00007000 08:02 135351                         /lib64/librt-2.14.so
:33b7a00000-33b7a83000 r-xp 00000000 08:02 131666                         /lib64/libm-2.14.so
:33b7a83000-33b7c82000 ---p 00083000 08:02 131666                         /lib64/libm-2.14.so
:33b7c82000-33b7c83000 r--p 00082000 08:02 131666                         /lib64/libm-2.14.so
:33b7c83000-33b7c84000 rw-p 00083000 08:02 131666                         /lib64/libm-2.14.so
:33b7e00000-33b7e08000 r-xp 00000000 08:05 253651                         /usr/lib64/libpciaccess.so.0.10.8
:33b7e08000-33b8007000 ---p 00008000 08:05 253651                         /usr/lib64/libpciaccess.so.0.10.8
:33b8007000-33b8008000 rw-p 00007000 08:05 253651                         /usr/lib64/libpciaccess.so.0.10.8
:33b8200000-33b8215000 r-xp 00000000 08:02 135357                         /lib64/libgcc_s-4.6.0-20110603.so.1
:33b8215000-33b8414000 ---p 00015000 08:02 135357                         /lib64/libgcc_s-4.6.0-20110603.so.1
:33b8414000-33b8415000 rw-p 00014000 08:02 135357                         /lib64/libgcc_s-4.6.0-20110603.so.1
:33b8600000-33b8606000 r-xp 00000000 08:05 253171                         /usr/lib64/libfontenc.so.1.0.0
:33b8606000-33b8805000 ---p 00006000 08:05 253171                         /usr/lib64/libfontenc.so.1.0.0
:33b8805000-33b8807000 rw-p 00005000 08:05 253171                         /usr/lib64/libfontenc.so.1.0.0
:33b8a00000-33b8a16000 r-xp 00000000 08:02 135356                         /lib64/libz.so.1.2.5
:33b8a16000-33b8c16000 ---p 00016000 08:02 135356                         /lib64/libz.so.1.2.5
:33b8c16000-33b8c17000 rw-p 00016000 08:02 135356                         /lib64/libz.so.1.2.5
:33b8e00000-33b8e32000 r-xp 00000000 08:05 254066                         /usr/lib64/libXfont.so.1.4.1
:33b8e32000-33b9031000 ---p 00032000 08:05 254066                         /usr/lib64/libXfont.so.1.4.1
:33b9031000-33b9034000 rw-p 00031000 08:05 254066                         /usr/lib64/libXfont.so.1.4.1
:33bae00000-33bae02000 r-xp 00000000 08:05 252494                         /usr/lib64/libXau.so.6.0.0
:33bae02000-33bb002000 ---p 00002000 08:05 252494                         /usr/lib64/libXau.so.6.0.0
:33bb002000-33bb003000 rw-p 00002000 08:05 252494                         /usr/lib64/libXau.so.6.0.0
:33bb200000-33bb227000 r-xp 00000000 08:02 135355                         /lib64/libexpat.so.1.5.2
:33bb227000-33bb426000 ---p 00027000 08:02 135355                         /lib64/libexpat.so.1.5.2
:33bb426000-33bb429000 rw-p 00026000 08:02 135355                         /lib64/libexpat.so.1.5.2
:33bc200000-33bc296000 r-xp 00000000 08:05 252701                         /usr/lib64/libfreetype.so.6.6.2
:33bc296000-33bc496000 ---p 00096000 08:05 252701                         /usr/lib64/libfreetype.so.6.6.2
:33bc496000-33bc49c000 rw-p 00096000 08:05 252701                         /usr/lib64/libfreetype.so.6.6.2
:33bd200000-33bd205000 r-xp 00000000 08:05 253636                         /usr/lib64/libXdmcp.so.6.0.0
:33bd205000-33bd404000 ---p 00005000 08:05 253636                         /usr/lib64/libXdmcp.so.6.0.0
:33bd404000-33bd405000 rw-p 00004000 08:05 253636                         /usr/lib64/libXdmcp.so.6.0.0
:33bea00000-33bea68000 r-xp 00000000 08:05 252680                         /usr/lib64/libpixman-1.so.0.20.2
:33bea68000-33bec67000 ---p 00068000 08:05 252680                         /usr/lib64/libpixman-1.so.0.20.2
:33bec67000-33bec6c000 rw-p 00067000 08:05 252680                         /usr/lib64/libpixman-1.so.0.20.2
:33c2e00000-33c2ee8000 r-xp 00000000 08:05 253125                         /usr/lib64/libstdc++.so.6.0.16
:33c2ee8000-33c30e8000 ---p 000e8000 08:05 253125                         /usr/lib64/libstdc++.so.6.0.16
:33c30e8000-33c30f0000 r--p 000e8000 08:05 253125                         /usr/lib64/libstdc++.so.6.0.16
:33c30f0000-33c30f2000 rw-p 000f0000 08:05 253125                         /usr/lib64/libstdc++.so.6.0.16
:33c30f2000-33c3107000 rw-p 00000000 00:00 0 
:33c4600000-33c4771000 r-xp 00000000 08:02 135368                         /lib64/libcrypto.so.1.0.0d
:33c4771000-33c4970000 ---p 00171000 08:02 135368                         /lib64/libcrypto.so.1.0.0d
:33c4970000-33c4993000 rw-p 00170000 08:02 135368                         /lib64/libcrypto.so.1.0.0d
:33c4993000-33c4996000 rw-p 00000000 00:00 0 
:33c5e00000-33c5e0e000 r-xp 00000000 08:02 135377                         /lib64/libudev.so.0.11.1
:33c5e0e000-33c600d000 ---p 0000e000 08:02 135377                         /lib64/libudev.so.0.11.1
:33c600d000-33c600e000 r--p 0000d000 08:02 135377                         /lib64/libudev.so.0.11.1
:33c600e000-33c600f000 rw-p 0000e000 08:02 135377                         /lib64/libudev.so.0.11.1
:33c6200000-33c620a000 r-xp 00000000 08:05 253744                         /usr/lib64/libdrm.so.2.4.0
:33c620a000-33c6409000 ---p 0000a000 08:05 253744                         /usr/lib64/libdrm.so.2.4.0
:33c6409000-33c640a000 rw-p 00009000 08:05 253744                         /usr/lib64/libdrm.so.2.4.0
:33c6600000-33c6616000 r-xp 00000000 08:02 135378                         /lib64/libaudit.so.1.0.0
:33c6616000-33c6816000 ---p 00016000 08:02 135378                         /lib64/libaudit.so.1.0.0
:33c6816000-33c6817000 r--p 00016000 08:02 135378                         /lib64/libaudit.so.1.0.0
:33c6817000-33c6818000 rw-p 00017000 08:02 135378                         /lib64/libaudit.so.1.0.0
:7faf36a90000-7faf3964e000 rw-p 00000000 00:00 0 
:7faf3964e000-7faf3969f000 rw-s 00000000 00:04 688139                     /SYSV00000000 (deleted)
:7faf3969f000-7faf396ff000 rw-s 00000000 00:04 557066                     /SYSV00000000 (deleted)
:7faf396ff000-7faf3975f000 rw-s 00000000 00:04 524297                     /SYSV00000000 (deleted)
:7faf3977d000-7faf397ce000 rw-s 00000000 00:04 655368                     /SYSV00000000 (deleted)
:7faf397ce000-7faf3981f000 rw-s 00000000 00:04 622599                     /SYSV00000000 (deleted)
:7faf3981f000-7faf39822000 rw-s 00000000 00:04 294918                     /SYSV00000000 (deleted)
:7faf39822000-7faf39882000 rw-s 00000000 00:04 262149                     /SYSV00000000 (deleted)
:7faf39882000-7faf398e2000 rw-s 00000000 00:04 131076                     /SYSV00000000 (deleted)
:7faf398e2000-7faf39942000 rw-s 00000000 00:04 98307                      /SYSV00000000 (deleted)
:7faf39942000-7faf399a2000 rw-s 00000000 00:04 65538                      /SYSV00000000 (deleted)
:7faf399a2000-7faf39a02000 rw-s 00000000 00:04 32769                      /SYSV00000000 (deleted)
:7faf39a02000-7faf3a404000 rw-p 00000000 00:00 0 
:7faf3a404000-7faf3a410000 r-xp 00000000 08:02 131634                     /lib64/libnss_files-2.14.so
:7faf3a410000-7faf3a60f000 ---p 0000c000 08:02 131634                     /lib64/libnss_files-2.14.so
:7faf3a60f000-7faf3a610000 r--p 0000b000 08:02 131634                     /lib64/libnss_files-2.14.so
:7faf3a610000-7faf3a611000 rw-p 0000c000 08:02 131634                     /lib64/libnss_files-2.14.so
:7faf3a611000-7faf3a61b000 r-xp 00000000 08:05 301621                     /usr/lib64/xorg/modules/input/evdev_drv.so
:7faf3a61b000-7faf3a81a000 ---p 0000a000 08:05 301621                     /usr/lib64/xorg/modules/input/evdev_drv.so
:7faf3a81a000-7faf3a81b000 rw-p 00009000 08:05 301621                     /usr/lib64/xorg/modules/input/evdev_drv.so
:7faf3a81b000-7faf3b7ae000 r-xp 00000000 08:05 310162                     /usr/lib64/llvm/libLLVM-2.8.so
:7faf3b7ae000-7faf3b9ae000 ---p 00f93000 08:05 310162                     /usr/lib64/llvm/libLLVM-2.8.so
:7faf3b9ae000-7faf3bb87000 rw-p 00f93000 08:05 310162                     /usr/lib64/llvm/libLLVM-2.8.so
:7faf3bb87000-7faf3bb98000 rw-p 00000000 00:00 0 
:7faf3bb98000-7faf3bf61000 r-xp 00000000 08:05 260615                     /usr/lib64/dri/swrast_dri.so
:7faf3bf61000-7faf3c161000 ---p 003c9000 08:05 260615                     /usr/lib64/dri/swrast_dri.so
:7faf3c161000-7faf3c180000 rw-p 003c9000 08:05 260615                     /usr/lib64/dri/swrast_dri.so
:7faf3c180000-7faf3c2d1000 rw-p 00000000 00:00 0 
:7faf3c2d1000-7faf3e0d1000 rw-s e0000000 00:05 16945                      /dev/dri/card0
:7faf3e0d1000-7faf420d1000 rw-s e4000000 00:10 11112                      /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/resource0_wc
:7faf420d1000-7faf42136000 r-xp 00000000 08:05 301398                     /usr/lib64/xorg/modules/libxaa.so
:7faf42136000-7faf42335000 ---p 00065000 08:05 301398                     /usr/lib64/xorg/modules/libxaa.so
:7faf42335000-7faf42338000 rw-p 00064000 08:05 301398                     /usr/lib64/xorg/modules/libxaa.so
:7faf42338000-7faf42359000 r-xp 00000000 08:05 301385                     /usr/lib64/xorg/modules/libfb.so
:7faf42359000-7faf42559000 ---p 00021000 08:05 301385                     /usr/lib64/xorg/modules/libfb.so
:7faf42559000-7faf4255a000 rw-p 00021000 08:05 301385                     /usr/lib64/xorg/modules/libfb.so
:7faf4255a000-7faf4275a000 rw-s e8200000 00:10 11113                      /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/resource1
:7faf4275a000-7faf42760000 r-xp 00000000 08:05 301383                     /usr/lib64/xorg/modules/libvgahw.so
:7faf42760000-7faf42960000 ---p 00006000 08:05 301383                     /usr/lib64/xorg/modules/libvgahw.so
:7faf42960000-7faf42961000 rw-p 00006000 08:05 301383                     /usr/lib64/xorg/modules/libvgahw.so
:7faf42961000-7faf42965000 r-xp 00000000 08:05 302838                     /usr/lib64/xorg/modules/libfbdevhw.so
:7faf42965000-7faf42b64000 ---p 00004000 08:05 302838                     /usr/lib64/xorg/modules/libfbdevhw.so
:7faf42b64000-7faf42b65000 rw-p 00003000 08:05 302838                     /usr/lib64/xorg/modules/libfbdevhw.so
:7faf42b65000-7faf42b6a000 r-xp 00000000 08:05 301417                     /usr/lib64/xorg/modules/drivers/fbdev_drv.so
:7faf42b6a000-7faf42d69000 ---p 00005000 08:05 301417                     /usr/lib64/xorg/modules/drivers/fbdev_drv.so
:7faf42d69000-7faf42d6a000 rw-p 00004000 08:05 301417                     /usr/lib64/xorg/modules/drivers/fbdev_drv.so
:7faf42d6a000-7faf42d70000 r-xp 00000000 08:05 301423                     /usr/lib64/xorg/modules/drivers/vesa_drv.so
:7faf42d70000-7faf42f6f000 ---p 00006000 08:05 301423                     /usr/lib64/xorg/modules/drivers/vesa_drv.so
:7faf42f6f000-7faf42f70000 rw-p 00005000 08:05 301423                     /usr/lib64/xorg/modules/drivers/vesa_drv.so
:7faf42f70000-7faf42fbb000 r-xp 00000000 08:05 301413                     /usr/lib64/xorg/modules/drivers/openchrome_drv.so
:7faf42fbb000-7faf431bb000 ---p 0004b000 08:05 301413                     /usr/lib64/xorg/modules/drivers/openchrome_drv.so
:7faf431bb000-7faf431c7000 rw-p 0004b000 08:05 301413                     /usr/lib64/xorg/modules/drivers/openchrome_drv.so
:7faf431c7000-7faf431c9000 rw-p 00000000 00:00 0 
:7faf431c9000-7faf431ce000 r-xp 00000000 08:05 302833                     /usr/lib64/xorg/modules/extensions/libdri2.so
:7faf431ce000-7faf433cd000 ---p 00005000 08:05 302833                     /usr/lib64/xorg/modules/extensions/libdri2.so
:7faf433cd000-7faf433ce000 rw-p 00004000 08:05 302833                     /usr/lib64/xorg/modules/extensions/libdri2.so
:7faf433ce000-7faf433d8000 r-xp 00000000 08:05 302832                     /usr/lib64/xorg/modules/extensions/libdri.so
:7faf433d8000-7faf435d8000 ---p 0000a000 08:05 302832                     /usr/lib64/xorg/modules/extensions/libdri.so
:7faf435d8000-7faf435d9000 rw-p 0000a000 08:05 302832                     /usr/lib64/xorg/modules/extensions/libdri.so
:7faf435d9000-7faf435e0000 r-xp 00000000 08:05 302836                     /usr/lib64/xorg/modules/extensions/librecord.so
:7faf435e0000-7faf437df000 ---p 00007000 08:05 302836                     /usr/lib64/xorg/modules/extensions/librecord.so
:7faf437df000-7faf437e0000 rw-p 00006000 08:05 302836                     /usr/lib64/xorg/modules/extensions/librecord.so
:7faf437e0000-7faf43842000 r-xp 00000000 08:05 302835                     /usr/lib64/xorg/modules/extensions/libglx.so
:7faf43842000-7faf43a42000 ---p 00062000 08:05 302835                     /usr/lib64/xorg/modules/extensions/libglx.so
:7faf43a42000-7faf43a46000 rw-p 00062000 08:05 302835                     /usr/lib64/xorg/modules/extensions/libglx.so
:7faf43a46000-7faf43a48000 rw-p 00000000 00:00 0 
:7faf43a48000-7faf43a4d000 r-xp 00000000 08:05 301507                     /usr/lib64/xorg/modules/extensions/libdbe.so
:7faf43a4d000-7faf43c4c000 ---p 00005000 08:05 301507                     /usr/lib64/xorg/modules/extensions/libdbe.so
:7faf43c4c000-7faf43c4d000 rw-p 00004000 08:05 301507                     /usr/lib64/xorg/modules/extensions/libdbe.so
:7faf43c4d000-7faf43c6a000 r-xp 00000000 08:02 135359                     /lib64/libselinux.so.1
:7faf43c6a000-7faf43e69000 ---p 0001d000 08:02 135359                     /lib64/libselinux.so.1
:7faf43e69000-7faf43e6a000 r--p 0001c000 08:02 135359                     /lib64/libselinux.so.1
:7faf43e6a000-7faf43e6b000 rw-p 0001d000 08:02 135359                     /lib64/libselinux.so.1
:7faf43e6b000-7faf43e6c000 rw-p 00000000 00:00 0 
:7faf43e82000-7faf43ea5000 r-xp 00000000 08:05 302834                     /usr/lib64/xorg/modules/extensions/libextmod.so
:7faf43ea5000-7faf440a4000 ---p 00023000 08:05 302834                     /usr/lib64/xorg/modules/extensions/libextmod.so
:7faf440a4000-7faf440a7000 rw-p 00022000 08:05 302834                     /usr/lib64/xorg/modules/extensions/libextmod.so
:7faf440a7000-7faf440b0000 rw-p 00000000 00:00 0 
:7faf440ba000-7faf440bc000 rw-s 1b7ff000 00:05 16945                      /dev/dri/card0
:7faf440bc000-7faf440c5000 rw-s e8000000 00:10 11113                      /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/resource1
:7faf440c5000-7faf440c7000 rw-p 00000000 00:00 0 
:7ffffe39b000-7ffffe3bc000 rw-p 00000000 00:00 0                          [stack]
:7ffffe3ff000-7ffffe400000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug 13 17:20:54 localhost yum[1449]: Updated: xorg-x11-server-Xorg-1.10.3-1.fc15.x86_64
:Aug 13 19:17:37 localhost abrt[2244]: saved core dump of pid 1046 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2011-08-13-19:17:35-1046.new/coredump (98848768 bytes)

Comment 1 miptrbugs 2011-08-18 18:54:02 UTC
The following will also trigger an (apparently) identical crash of the x-server:

- play some video file by "mplayer filename" or "mplayer -vo xv filename"
- the video will correctly play in a window
- click with the mouse on some other window 
==> crash


The x-xerver will _not_ crash if the following is done:
- same procedure but with "mplayer -vo x11 filename"

Comment 2 Mads Kiilerich 2011-09-05 17:10:43 UTC
Package: xorg-x11-server-Xorg-1.10.99.902-1.20110818.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
A Mac was started with wrong gfxpayload settings and KMS thus failed.

It is OK that X fails too, but it shouldn't die that hard.

Comment 3 miptrbugs 2011-09-05 17:47:41 UTC
I have been able to fix this issue by compiling openchrome_drv.so, libchromeXvMC.so and libchromeXvMCPro.so directly from source (from
svn.openchrome.org, revision 951) and copying these files into the standard location /usr/lib64/xorg/modules/drivers respectively /usr/lib64. Most likely this bug will thus be fixed once the Fedora release updates their revision of openchrome.

Comment 4 Mads Kiilerich 2011-09-05 18:01:19 UTC
My machine do not have VIA/chromium graphics - but abrt considered it a duplicate anyway.

I guess all that our issues has in common is that they both ended up in the X servers error handling code.

IMHO there is a meta bug here: The X server and/or abrt should be improved so we could get more useful and non-duplicate report with useful debug information.

Comment 5 Sergio Monteiro Basto 2011-09-21 19:34:45 UTC
Package: xorg-x11-server-Xorg-1.10.4-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I got X11vnc and connect via x2vnc , just crash for the first time after lastest updates.

Comment 6 James Cape 2011-09-28 04:44:58 UTC
Package: xorg-x11-server-Xorg-1.11.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Found in root's abrt, quite a few random X issues, possibly Nexiuz-related.

Comment 7 Mihai Harpau 2011-11-08 20:40:20 UTC
Package: xorg-x11-server-Xorg-1.11.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
While browsing some websites suddenly Gnome 3 desktop was shutdown and I see
after few seconds GDM window login

Comment 8 Lars Schotte 2011-11-12 23:19:20 UTC
Package: xorg-x11-server-Xorg-1.11.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
mplayer and so on

Comment 9 Lars Schotte 2011-11-13 13:10:04 UTC
Package: xorg-x11-server-Xorg-1.11.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
easy to reproduce with starting tmux in a rxvt with transparent background and then mplayer playing some mp3, but not letting it play ... just move to the next right away, till X crashes. it really looks like bad memory management.

Comment 10 Lars Schotte 2011-11-13 13:11:59 UTC
Created attachment 533371 [details]
Xorg log

segmentation fault at xorg

Comment 11 Lars Schotte 2011-11-13 14:28:24 UTC
hey ... this bug is easily reproducable just by scrolling in rxvt or aterm ...

on the other hand there must be something in rxvt/aterm that triggers it.

because with gnome-terminal or xterm, there is no way to reproduce the bug.

so i am now omitting rxvt/aterm for a while.

however ... that bug is reproducible ONLY on 64 bit, so you can scroll with rxvt/aterm on 32 bit how much you like, it doesnt crash it.

Comment 12 David Jaša 2011-12-05 10:37:53 UTC
Package: xorg-x11-server-Xorg-1.11.99.1-9.20111109.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Rawhide)

Comment
-----
Xorg crashes on startup in VM that used 'vga' device with 64 MB VRAM.

Comment 13 Flos Lonicerae 2011-12-25 02:21:35 UTC
suddenly black screen, take me to the gdm login screen

rating: 4
Package: xorg-x11-server-Xorg-1.11.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 14 Flos Lonicerae 2012-01-09 12:22:45 UTC
1. suddenly crashed
2. this problem may be related to https://bugzilla.redhat.com/show_bug.cgi?id=772603


rating: 4
Package: xorg-x11-server-Xorg-1.11.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 15 Christian Jose 2012-01-20 20:42:18 UTC
Package: xorg-x11-server-Xorg-1.10.4-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Not 100% sure. This appears to occur as follows:
I login and lock the screen
A second user wants to user the computer and selects "Switch User"
The second user logs out
The screen is left at the login interface, showing I am logged in
I select my account, enter my password and the GUI dies.

Occasionally something similar happens after the second user logs out but before I return to the computer, whereby on my return I find I have been forcefully disconnected.

Comment 16 ilan 2012-01-24 09:00:09 UTC
Access HP TrueVision HD webcam using xawtv.

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.11.3-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 17 ilan 2012-01-24 09:00:21 UTC
Created attachment 557167 [details]
File: backtrace

Comment 18 Flos Lonicerae 2012-01-30 13:18:16 UTC
suddenly black screen, then take me to the login window to relogin

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.11.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 19 Flos Lonicerae 2012-01-30 13:18:27 UTC
Created attachment 558328 [details]
File: backtrace

Comment 20 Flos Lonicerae 2012-02-16 14:43:34 UTC
1. suddenly black screen and take me to the login window

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.11.4-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 21 Flos Lonicerae 2012-02-16 14:43:46 UTC
Created attachment 562516 [details]
File: backtrace

Comment 22 oliver.zemann 2012-03-10 09:35:52 UTC
installed fglrx 11.2, aticonfig -f and then restarted

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 23 oliver.zemann 2012-03-10 09:36:08 UTC
Created attachment 569068 [details]
File: backtrace

Comment 24 Adam Williamson 2012-03-16 18:33:17 UTC
I was just using my system; had just launched Totem from the Shell overview. The overview was zooming back out to the desktop when it crashed.

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 25 Adam Williamson 2012-03-16 18:33:29 UTC
Created attachment 570676 [details]
File: backtrace

Comment 26 Adam Williamson 2012-03-16 18:35:07 UTC
mine's a nouveau card, and I'm on F17. It does seem that this bug is catching quite a lot of apparently different issues.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 27 David Jaša 2012-03-31 20:44:12 UTC
1. install fedora in a qemu VM with qxl gpu and spice display
2. start the VM
3. when gdm is shown, switch to console
4. wait for crash


backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 28 Victor Costan 2012-04-06 19:28:46 UTC
Used Google Chrome to go to quakelive.com for the first time on this computer.

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 29 Adam Jackson 2012-04-20 19:52:04 UTC
Far too many disparate issues in this report.  Closing in the hopes that abrt becomes smarter.

Comment 30 Sergio Monteiro Basto 2012-04-20 20:41:43 UTC
(In reply to comment #29)
> Far too many disparate issues in this report.  Closing in the hopes that abrt
> becomes smarter.

LOL , We hope that abrt not becomes smart enough to reopen the bug :)


Note You need to log in before you can comment on or make changes to this bug.